
local min,max = math.min,math.max


local recipe = {prop = {}}
recipe.prop.earth = 0
recipe.prop.magic = 0
recipe.prop.life = 0
recipe.prop.fire = 0

function recipe:AddEarth(value)
	self.prop.earth = max(0,min(self.prop.earth+value,5))
end

function recipe:AddMagic(value)
	self.prop.magic = max(0,min(self.prop.magic+value,5))
end

function recipe:AddWater(value)
	self.prop.water = max(0,min(self.prop.water+value,5))
end

function recipe:AddFire(value)
	self.prop.fire = max(0,min(self.prop.fire+value,5))
end

function recipe:AddLife(value)
	self.prop.life = max(0,min(self.prop.life+value,5))
end

function recipe:keypressed(key)
	
	if key == "q" then
		recipe:AddMagic(1)
	end
	if key == "a" then
		recipe:AddMagic(-1)
	end
	if key == "w" then
		recipe:AddFire(1)
	end
	if key == "s" then
		recipe:AddFire(-1)
	end
	if key == "e" then
		recipe:AddLife(1)
	end
	if key == "d" then
		recipe:AddLife(-1)
	end	
	if key == "r" then
		recipe:AddEarth(1)
	end
	if key == "f" then
		recipe:AddEarth(-1)
	end
end


return recipe